%define anolis_release 2

%global upstream_name sphinxcontrib-httpdomain

Name:           python-%{upstream_name}
Version:        1.7.0
Release:        %{anolis_release}%{?dist}
Summary:        Sphinx domain for documenting HTTP APIs
License:        BSD
URL:            http://packages.python.org/sphinxcontrib-httpdomain/
Source0:        https://files.pythonhosted.org/packages/source/s/%{upstream_name}/%{upstream_name}-%{version}.tar.gz
# issue to be filed(?)
Patch4:         0004-httpdomain-bump-domain-data-version.patch
BuildArch:      noarch

%description
Using this Sphinx domain you can document your HTTP API. It includes support 
for generating documentation from Flask routing tables.

%package -n python3-%{upstream_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{upstream_name}}
BuildRequires:  python3-devel
Requires:       python3-sphinx
Requires:       python3-six

%description -n python3-%{upstream_name}
Using this Sphinx domain you can document your HTTP API. It includes support 
for generating documentation from Flask routing tables.

%package -n     python3-%{upstream_name}-doc
Summary:        doc files for python3-%{upstream_name}
Requires:       python3-%{upstream_name} = %{version}-%{release}

%description -n python3-%{upstream_name}-doc
doc files for python3-%{upstream_name}

%prep
%setup -q -n %{upstream_name}-%{version}
%patch4 -p2
rm -r *.egg-info

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

%files -n python3-%{upstream_name}
%license LICENSE
%{python3_sitelib}/sphinxcontrib*

%files -n python3-%{upstream_name}-doc
%doc README.rst

%changelog
* Wed Mar 13 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 1.7.0-2
- Rebuild with python3.11

* Tue Mar 21 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.7.0-1
- Init upstream from version 1.7.0
